/**
 * Theme Name:     Astra Child
 * Author:         Brainstorm Force
 * Template:       astra
 * Text Domain:	   astra-child
 * Description:    The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 6,000+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
 */

/* header start here  */
.head-call-btn .elementor-icon, .head-call-btn .elementor-icon svg {
    transition: .3s;
}
.head-call-btn path.s0 {
    fill: #ef7d0e;
}
.head-call-btn:hover .elementor-icon {
    background: #ef7d0e !important;
}
.head-call-btn:hover .elementor-icon .s0 {
    fill: white;
}
a.elementor-item:after {
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
}
.site-header {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.she-header .site-header{
    -webkit-animation: 1000ms ease-in-out 0s normal none 1 running fadeInDown;
    animation: 900ms ease-in-out 0s normal none 1 running fadeInDown;
    z-index: 999;
    position: fixed !important;
    top: 0px;
    width: 100%;
    box-shadow: 0 1px 9px 0 rgb(32 33 36 / 13%) !important;
}
.admin-bar .she-header .site-header {
    top: 32px !important;
}
@-webkit-keyframes fadeInDown {
from {
    opacity: 0;
    -webkit-transform: translatey(-10px);
    -moz-transform: translatey(-10px);
    -o-transform: translatey(-10px);
    transform: translatey(-10px);
}
to {
    opacity: 1;
    -webkit-transform: translatey(0);
    -moz-transform: translatey(0);
    -o-transform: translatey(0);
    transform: translatey(0);
}
}
@-moz-keyframes fadeInDown {
from {
    opacity: 0;
    -webkit-transform: translatey(-10px);
    -moz-transform: translatey(-10px);
    -o-transform: translatey(-10px);
    transform: translatey(-10px);
}
to {
    opacity: 1;
    -webkit-transform: translatey(0);
    -moz-transform: translatey(0);
    -o-transform: translatey(0);
    transform: translatey(0);
}
}
@keyframes fadeInDown {
from {
    opacity: 0;
    -webkit-transform: translatey(-10px);
    -moz-transform: translatey(-10px);
    -o-transform: translatey(-10px);
    transform: translatey(-10px);
}
to {
    opacity: 1;
    -webkit-transform: translatey(0);
    -moz-transform: translatey(0);
    -o-transform: translatey(0);
    transform: translatey(0);
}
}
.in-down {
    -webkit-animation-name: fadeInDown;
    -moz-animation-name: fadeInDown;
    -o-animation-name: fadeInDown;
    animation-name: fadeInDown;
    -webkit-animation-fill-mode: both;
    -moz-animation-fill-mode: both;
    -o-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-duration: 1s;
    -moz-animation-duration: 1s;
    -o-animation-duration: 1s;
    animation-duration: 1s;
}
.she-header .top-head {
    display: none !important;
}
header.elementor-location-header {
    height: 104px;
    position: relative;
}
.she-header .bottom-head {
    box-shadow: 0 1px 9px 0 rgb(32 33 36 / 13%) !important;
}
.she-header .elementor-widget-theme-site-logo img {
    /* width: 200px !important; */
}
.she-header .head-nav a.elementor-item:not(.she-header .head-nav .sub-menu a.elementor-item) {
    padding: 32px 0px;
}
/* header close here  */

/* home page start here  */
.banner-call-btn .elementor-icon .s0 {
    fill: white;
}
.elementor-heading-title span {
    color: #598935;
}
.srv-content-box, .srv-content-box * {
    transition: .4s;
}
.srv-card:hover .srv-content-box {
    background: #598935 !important;
}
.srv-card:hover h3.elementor-heading-title {
    color: #FFA54E !important;
}
.srv-card:hover p.elementor-heading-title {
    color: #fff !important;
}
.srv-card:hover a.elementor-button {
    background: white;
    color: #000;
}
.elementor-element.core-serv-sub-hed-box {
    min-height: 33px;
}
.elementor-element.core-serv-hed-box {
    min-height: 45px;
}
.why-choose-img-box figure {
    background: #598935;
    padding: 9px;
    width: 100px !important;
    border-radius: 100px;
    display: flex  !important;
    justify-content: center;
    align-items: center;
    transition: .4s;
    min-width: 80px !important;
    height: 80px;
}
.why-choose-img-box figure img {
    width: 41px;
    height: 41px;
    object-fit: contain;
}
.why-choose-img-box:hover figure {
    background: #ef7d0e;
}
#ast-scroll-top {
    right: 18px;
    bottom: 18px;
}
.moving-circle img {
  animation: rotateCircle 8s linear infinite;
}
@keyframes rotateCircle {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.verified-box {
    position: relative;
}
.verified-box .elementor-image-box-wrapper {
    position: static;
}
.verified-box .elementor-image-box-content {
    position: static;
}
.verified-box .elementor-image-box-title {
    position: static;
}
.verified-box .elementor-image-box-title a:before {
    content: "";
    width: 100%;
    height: 100%;
    background: transparent;
    position: absolute;
    top: 0px;
    left: 0px;
}
.elementor-html .verified-box .elementor-image-box-title a:before {
	display: none;
}
.post-grid .elementor-post__meta-data {
    display: none;
}
.post-grid .elementor-post__excerpt {
    overflow: hidden;
    display: -webkit-box;
   -webkit-line-clamp: 3; 
    line-clamp: 3; 
   -webkit-box-orient: vertical;
}
.post-grid .elementor-post__title h3 {
   display: -webkit-box;
   -webkit-line-clamp: 2; 
    line-clamp: 2; 
   -webkit-box-orient: vertical;
}
.post-grid a.elementor-post__read-more {
    background: #598935;
    color: white;
    padding: 10px 25px;
    border-radius: 8px;
    font-size: 13px !important;
    font-weight: 500 !important;
}
.post-grid a.elementor-post__read-more:hover {
    background: #799b2c !important;
}
.post-grid .elementor-post__text {
    padding-bottom: 12px !important;
}
.badge-icon path.s0 {
    fill: #598935 !important;
}
.srv-content-box .elementor-widget-heading {
    position: static;
}
.elementor-html .srv-content-box .elementor-widget-heading {
	position: relative;
}
.srv-content-box .elementor-widget-heading h3 a:before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.elementor-html .srv-content-box .elementor-widget-heading h3 a:before {
    display: none;
}
a {
	outline: none !important;
}
.srv-content-box {
    position: static !important;
	z-index: 2 !important;
}
.elementor-widget-text-editor strong {
    color: #1a1a1a;
}


.appointment-form .ff-el-group input, .appointment-form .ff-el-group select, .appointment-form .ff-el-group textarea {
    background-color: #f2f6efab;
    border: 1px solid #bfbfbff2;
    font-size: 15px !important;
    padding: 11px 16px;
    height: min-content;
    border-radius: 9px;
    transition: .4s !important;
    color: #000;
    font-weight: 600;
}
.appointment-form .ff-el-group input::placeholder, .appointment-form .ff-el-group select, .appointment-form .ff-el-group textarea::placeholder {
    font-weight: 400;
    color: #000000a6;
}
.appointment-form .ff-el-group input:hover, .appointment-form .ff-el-group select:hover, .appointment-form .ff-el-group textarea:hover,
.appointment-form .ff-el-group input:focus, .appointment-form .ff-el-group select:focus, .appointment-form .ff-el-group textarea:focus {
    border-color: #ef7d0e !important;
    background-color: white;
}
.appointment-form .ff-el-group select {
    appearance: none;
    height: 43px !important;
    background-image: url(/wp-content/uploads/2026/02/Down-arrow.png);
    background-repeat: no-repeat;
    background-size: 10px;
    background-position-y: center;
    background-position-x: calc(100% - 14px);
}
.appointment-form .ff-el-group .ff-el-form-check-label {
    display: flex;
    gap: 10px;
}
.appointment-form .ff-el-group .ff-el-form-check-label input {
    width: 15px;
    height: 15px;
    min-width: 15px;
    margin-top: 6px;
    accent-color: #598935;
}
.appointment-form button.ff-btn.ff-btn-submit {
    background: #598935 !important;
    padding: 13px 35px;
}
.appointment-form button.ff-btn.ff-btn-submit:hover {
    background: #799b2c !important;
    opacity: 1 !important;
}
.ff-message-success {
    background: #598935;
    color: white;
    border: none;
    box-shadow: none;
    border-radius: 10px;
    padding: 20px;
    text-align: center;
}
.ff-message-success p {
    margin-bottom: 0px;
}
.half-bg-left:before {
	width: 50% !important;
	height: 100% !important;
}
.cus-accordion summary[aria-expanded="true"] {
    border-bottom-left-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}
.cus-accordion span.e-closed, .cus-accordion span.e-opened {
    width: 30px !important;
    height: 30px !important;
    background: #ef7d0e;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
}
.cus-accordion span.e-closed svg path, .cus-accordion span.e-opened svg path {
    fill: white;
    color: white;
}
.accordion-text ul {
    margin-left: 30px;
    margin-bottom: 15px;
}
.left-why-choose .elementor-image-box-wrapper {
    flex-direction: row-reverse !important;
    text-align: right !important;
}
.left-why-choose figure.elementor-image-box-img {
    margin-right: 0px !important;
}
.e-n-accordion-item {
    box-shadow: 0 4px 10px 0 rgb(46 46 46 / 12%);
    border-radius: 12px;
}
/* home page close here  */

/* popup start here  */
a.dialog-close-button {
    border: none !important;
    outline: none !important;
}
/* popup close here  */

/* footer start here  */
.foo-email .elementor-icon-box-content {
    word-wrap: break-word;
    max-width: 190px;
}
/* footer close here  */

/* about page start here  */
.svg-icon-white .s0 {
    fill: white;
}
/* about page close here  */

/* single post page start here  */
.sinlge-blog-post-content p {
    margin-bottom: 15px;
}
/* single post page close here  */

/* terms and policy page start here  */
.policy-text h2, .policy-text h3, .policy-text h4, .policy-text h5, .policy-text h6 {
    margin-bottom: 10px;
    margin-top: 50px;
}
.policy-text>h2:first-child {
    margin-top: 0px !important;
}
.policy-text h2 {
    font-size: 30px;
}
.policy-text h3 {
    font-size: 20px;
}
.policy-text h2 + h3 {
    margin-top: 0px;
}
/* terms and policy page close here  */





@media screen and (min-width: 768px) {
/* 	footer start here  */
.show-in-mobile ul.elementor-icon-list-items>li.elementor-icon-list-item:last-child {
    display: none;
}
/* 	footer close here  */
}


@media screen and (max-width: 1025px) {
/* 	header start here  */
	html #wpadminbar {
		display: none;
	}
	html {
		margin-top: 0px !important;
	}
	.head-call-btn .elementor-icon-box-content {
		display: none;
	}
	header.elementor-location-header {
		height: 84px;
	}
	.admin-bar .she-header .site-header {
		top: 0px !important;
	}
/* 	header close here  */
}

@media screen and (max-width: 767px) {
/* 	popup start here  */
	.popup-footer .elementor-widget-button, .popup-footer .elementor-widget-button a {
		width: 100%;
	}
/* 	popup close here  */
	
/* 	header start here  */
	.sm-nav .elementor-menu-toggle {
		width: 40px;
		height: 40px;
		border-radius: 100px;
	}
	.sm-nav nav.elementor-nav-menu--dropdown {
		position: absolute;
		width: 100%;
		z-index: 1;
		left: 0px;
	}
	.sm-nav {
		position: static !important;
	}
	.head-btn-col {
		position: static !important;
	}
	.sm-nav nav.elementor-nav-menu--dropdown li:last-child {
		padding-bottom: 5px !important;
	}
	header.elementor-location-header {
		height: 76px;
	}
	.admin-bar .she-header .site-header {
		top: 0px !important;
	}
	.she-header .bottom-head .e-con-inner:not(.she-header .bottom-head .e-con-inner .e-con-inner) {
		padding-top: 12px;
		padding-bottom: 13px;
	}
/* 	header close here  */
	
/* 	home page start here  */
	.srv-card .srv-content-box {
		max-width: 80%;
	}
	.srv-card .elementor-widget-image a {
		display: block;
	}
	.why-choose-img-box .elementor-image-box-wrapper {
		display: flex;
		gap: 15px;
	}
	.why-choose-img-box figure img {
		width: 35px;
		height: 35px;
	}
	.why-choose-img-box figure {
		min-width: 70px !important;
		height: 70px;
		width: 70px !important;
	}
	.testi-client .elementor-image-box-wrapper {
		display: flex !important;
		gap: 10px;
		align-items: center;
	}
	.testi-client .elementor-image-box-wrapper figure {
		min-width: 60px;
	}
	.elementor-post__text {
		padding: 13px 20px 20px 20px !important;
	}
	.post-grid a.elementor-post__read-more {
		padding: 8px 18px;
		margin-bottom: 12px !important;
	}
	.ff-el-group {
		margin-bottom: 12px !important;
	}
	.appointment-form .ff-el-group input, .appointment-form .ff-el-group select, .appointment-form .ff-el-group textarea {
		font-size: 14px !important;
		padding: 10px 14px;
	}
	.appointment-form .ff-el-group select {
		height: 40px !important;
	}
	.appointment-form button.ff-btn.ff-btn-submit {
		font-size: 14px;
		padding: 10px 22px;
	}
	.left-why-choose .elementor-image-box-wrapper {
		flex-direction: row !important;
		text-align: left !important;
	}
	.left-why-choose figure.elementor-image-box-img {
		margin-left: 0px !important;
	}
	.cus-accordion span.e-closed, .cus-accordion span.e-opened {
		width: 25px !important;
		height: 25px !important; 
	}
/* 	home page close here  */
	
/* 	single post page start here  */
	.sidebar-blog-post .elementor-post__text {
		padding: 0px !important;
	}
/* 	single post page close here  */
	
/* terms and policy page start here  */
	.policy-text h1 {
		font-size: 32px;
	}
	.policy-text h2 {
		font-size: 24px;
	}
	.policy-text h3 {
		font-size: 18px;
	}
/* terms and policy page close here  */
}